/*
 * $Id: mod.h,v 1.1 2000/11/05 17:43:41 claudio2 Exp $
 */

struct mod_instrument {
	uint8 name[22];		/* Instrument name */
	uint16 size;		/* Sample length in 16-bit words */
	int8 finetune;		/* Finetune (signed nibble) */
	int8 volume;		/* Linear playback volume */
	uint16 loop_start;	/* Loop start in 16-bit words */
	uint16 loop_size;	/* Loop length in 16-bit words */
} PACKED;

struct mod_header {
	uint8 name[20];
	struct mod_instrument ins[31];
	uint8 len;
	uint8 rst;
	uint8 order[128];
	uint8 magic[4];
} PACKED;

struct mod_event {
	uint8 note;
	uint8 ins;
	uint8 fxt;
	uint8 fxp;
} PACKED;

